Switch Current Organization
curl --request PUT \
--url https://api.virtuoussoftware.com/api/Organization/Switch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"organizationUserId": "12345"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({organizationUserId: '12345'})
};
fetch('https://api.virtuoussoftware.com/api/Organization/Switch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Organization/Switch"
payload = { "organizationUserId": "12345" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Organization/Switch");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"organizationUserId\": \"12345\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Organization/Switch';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({organizationUserId: '12345'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"message": "The request is invalid.",
"modelState": {
"switchOrganization.organizationUserId": [
"An error has occurred."
]
}
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Account and Permissions
Switch Current Organization
Changes the organization the authenticated user is working in for subsequent requests. Send the organizationUserId of the target organization, which you can get from the List My Organizations endpoint.
PUT
/
api
/
Organization
/
Switch
Switch Current Organization
Last modified on August 11, 2026
Was this page helpful?
⌘I